<?php


include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();

$set['title']='Перевод LM'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();



if (isset($_GET['act']))
{


$name=mysql_escape_string(htmlspecialchars($_POST['name']));


$balls=intval($_POST['balls']);


if($user['balls'] < $balls)

{


msg('У вас недостаточно LМ');


}


else


{


$q=mysql_query("SELECT `balls` FROM `user` WHERE `nick` = '$name'");


if(@mysql_affected_rows() > 0)
{

if (ereg("-",$balls))
{

msg('ЭЙ ТЫ');

}

else
{


$m=mysql_fetch_array($q);


mysql_query("UPDATE `user` SET `balls` = '".($m['balls']+$balls)."' WHERE `nick` ='$name';");


mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$balls)."' WHERE `id` ='$user[id]';");


$msperevod="Обитатель [b]".$user['nick']."[/b] перевeл вам [b][red] $balls [/red][/b] LМ! НЕ ЗАБУДЬТЕ СКАЗАТЬ СПАСИБО!";


$id_user_j = mysql_result(mysql_query("SELECT `id` FROM `user` WHERE `nick` = '$name' LIMIT 1"),0);


mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$id_user_j', '$msperevod', '$time')");

msg('LМ успешно переведены');

}

}

else
{

msg('Такой пользователь не найден');

}


}


}

if (isset($user) & $user['balls']<=5000)
{
if ($user['pol']==0){echo "Извини <b>красавица,</b> \n";} else {echo "<b>Извини братан,</b> \n";}
echo "но чтобы переводить баллы другим обитателям необходимо набрать минимум <b>5000</b> баллов<br/>У вас <b>$user[balls] </b>баллов\n";
}
else
{
echo"Ваши LМ: <b>".mysql_result(mysql_query("SELECT `balls` FROM `user` WHERE `id` = '$user[id]' LIMIT 1"),0)."</b><br />\n";


echo "<form action=\"?act\" method=\"post\">";


echo "Ник получателя:<br />\n";

if ( isset($_GET['id']) ) {
$abonent = intval($_GET['id']);
$abonent = mysql_fetch_assoc(mysql_query("select nick from user where id='$abonent' limit 1"));
$abonent = !empty($abonent['nick']) ? $abonent['nick'] : null;
}
else $abonent = null;

echo "<input type='text' name='name' value='".htmlspecialchars($abonent)."' /><br />\n";

echo "Количество LM:<br />\n";

echo "<input type='text' name='balls' value='' /><br />\n";

echo "<input class='submit' type='submit' value='Перевести' /><br />\n";

echo "</form>";

/*echo '<hr /><hr /><hr />';*/

}
include_once 'sys/inc/tfoot.php';


?>